## ros-kinetic-openrave 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(openrave)

find_package(catkin REQUIRED)

set(OPENRAVE_SOURCE_DIR ${CMAKE_BINARY_DIR}/source_openrave)
set(OPENRAVE_BINARY_DIR ${CMAKE_BINARY_DIR}/build_openrave)

#set(OPENRAVE_COMPILE_OPT "-DOPT_VIDEORECORDING=OFF -DOPT_PLUGINS=OFF -DOPT_ACCURATEMATH=OFF -DOPT_PYTHON=OFF -DOPT_OCTAVE=OFF -DOPT_MATLAB=OFF -DOPT_STATIC=OFF -DOPT_COLLADA=OFF -DOPT_BULLET=OFF -DOPT_ODE_COLLISION=OFF -DOPT_QTCOIN_VIEWER=OFF -DOPT_QTOSG_VIEWER=OFF -DOPT_EXTRA_ROBOTS=OFF -DOPT_CBINDINGS=OFF                   -DOPT_FCL_COLLISION=OFF")
set(OPENRAVE_COMPILE_OPT "-DOPT_FCL_COLLISION=OFF")

catkin_package(CFG_EXTRAS openrave-extras.cmake)
catkin_add_env_hooks(99.openrave SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

list(GET CATKIN_WORKSPACES 0 CATKIN_WORKSPACES_0)
if("${CATKIN_WORKSPACES_0}" STREQUAL "${CMAKE_INSTALL_PREFIX}") # since CMAKE_INSTAL_PREFIX is always point to /install so install layout returns true
  message(STATUS "compiled with install layout")
  set(OPENRAVE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
else()
  message(STATUS "compiled with devel layout")
  set(OPENRAVE_INSTALL_PREFIX ${CATKIN_DEVEL_PREFIX})
  add_custom_target(compile_openrave_devel ALL DEPENDS compile_openrave)
endif()

add_custom_command(OUTPUT ${OPENRAVE_SOURCE_DIR}
  COMMAND git clone https://github.com/rdiankov/openrave.git ${OPENRAVE_SOURCE_DIR}
  COMMAND cd ${OPENRAVE_SOURCE_DIR} && git reset --hard 7c5f5e27eec2b2ef10aa63fbc519a998c276f908 # production release of Feb 19 2018
  COMMAND cd ${OPENRAVE_SOURCE_DIR} && patch -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/python-path.patch # use dist-packages isntead of site-packages
  COMMAND cd ${OPENRAVE_SOURCE_DIR} && patch -p1 < ${CMAKE_CURRENT_SOURCE_DIR}/no-warn.patch # disable -Wall
  )
add_custom_target(download_openrave
  DEPENDS ${OPENRAVE_SOURCE_DIR}
  )
add_custom_target(compile_openrave ## need to compile everythin for installed target
  COMMAND mkdir -p ${OPENRAVE_BINARY_DIR}
  COMMAND cd ${OPENRAVE_BINARY_DIR} && cmake ${OPENRAVE_SOURCE_DIR} ${OPENRAVE_COMPILE_OPT} -DCMAKE_INSTALL_PREFIX=${OPENRAVE_INSTALL_PREFIX}
  COMMAND make -C ${OPENRAVE_BINARY_DIR}
  COMMAND make -C ${OPENRAVE_BINARY_DIR} install
  DEPENDS download_openrave
  )

install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" --build \"${CMAKE_BINARY_DIR}\" --target compile_openrave)")

=== debian/changelog ===
ros-kinetic-openrave (0.0.6-0xenial) xenial; urgency=high

  * Merge pull request #20 <https://github.com/jsk-ros-pkg/openrave_planning/issues/20> from k-okada/master
    update  openrave package as of 2017/02/19
  * remove collada_robots from build_depend
  * update openrave to Feb/19/2018 versoin, which does not require sympy==0.7.1, as described in https://github.com/rdiankov/openrave/issues/375#issuecomment-155994724
  * Merge pull request #18 <https://github.com/jsk-ros-pkg/openrave_planning/issues/18> from k-okada/fix_catkin_source
    do not import openravepy if it working... need to this when deb settings
  * do not import openravepy if it working... need to this when deb settings
  * Merge pull request #17 <https://github.com/jsk-ros-pkg/openrave_planning/issues/17> from k-okada/add_travis_kinetic
    run all test within docker, specially for kinetic
  * compile openrave with -Wno-deprecated
  * add libxml2
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Apr 2018 15:00:00 -0000

ros-kinetic-openrave (0.0.5-0xenial) xenial; urgency=high

  * re-enable opende in package.xml
  * 99.openarve.sh.in: openrave-config is now global executive
  * use production release of Jan/19/2017
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Feb 2017 15:00:00 -0000

ros-kinetic-openrave (0.0.4-0xenial) xenial; urgency=high

  * use dist-packages as python install dir instad of site-packages
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 18 Jan 2017 15:00:00 -0000

ros-kinetic-openrave (0.0.3-0xenial) xenial; urgency=high

  * CMakeLists.txt : fix compiile scheme for install/devel
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 May 2016 15:00:00 -0000

ros-kinetic-openrave (0.0.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 May 2016 15:00:00 -0000

ros-kinetic-openrave (0.0.1-0xenial) xenial; urgency=high

  * add 99.openrave.sh
  * update openrave/collada_robots package to catkin
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 May 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-openrave
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git-core, ipython, libassimp-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libboost-all-dev, libbullet-dev, libcollada-dom2.4-dp-dev, libglew-dev, liblapack-dev, libode-dev, libogg-dev, libpcre++-dev, libpcre3-dev, libqhull-dev, libqt4-dbus, libqt4-network, libqt4-script, libqt4-test, libqt4-xml, libqtcore4, libsoqt4-dev, libswscale-dev, libx264-dev, libxml2-dev, python-dev, python-h5py, python-numpy, python-scipy, python-sympy, ros-kinetic-catkin, ros-kinetic-std-msgs, zlib1g-dev
Homepage: http://openrave.org
Standards-Version: 3.9.2

Package: ros-kinetic-openrave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipython, libassimp-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libboost-all-dev, libbullet-dev, libcollada-dom2.4-dp-dev, libglew-dev, liblapack-dev, libode-dev, libogg-dev, libpcre++-dev, libpcre3-dev, libqhull-dev, libqt4-dbus, libqt4-network, libqt4-script, libqt4-test, libqt4-xml, libqtcore4, libsoqt4-dev, libswscale-dev, libx264-dev, python-dev, python-h5py, python-numpy, python-scipy, python-sympy, ros-kinetic-collada-robots, ros-kinetic-std-msgs, zlib1g-dev
Description: In order to use, please add the following line in your bashrc:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-openrave//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
